Subject: NCR53C400/T130B Driver
From: [email-masked] (Kevin Lentin)
Date: Sat, 20 Aug 1994 15:49:55 GMT
Newsgroups: comp.os.linux.announce

I am releasing a set of patches to Drew Eckhardt's NCR5380 driver to allow
the T130B and related cards to be used with PSEUDO-DMA and interupts. I
have sent them to Drew and they should make it into the kernel
soon/eventually. I have also uploaded them to sunsite in Incoming (for now).
Below is the lsm and README.

LSM:
====
Begin3
Title:          Patch to Linux 1.1.41+ for 53c400/t130b scsi
Version:        1(beta)
Entered-date:   18/8/94
Description:    These patches allow the Trantor T130B and any other
	NCR53c400 based card to work with the Generic NCR5380 SCSI driver
	under Linux. Ineterupts and PSEUDO-DMA are supported. This will
	become part of the development kernel eventually.
Keywords:       SCSI T130B NCR5380 NCR53C400
Author:         [email-masked] (Kevin Lentin)
Maintained-by:  [email-masked] (Kevin Lentin)
Primary-site:   sunsite.unc.edu /pub/Linux/kernel/patches/scsi
				13k 53c400.tar.gz
Alternate-site: 
Original-site:  
Platform:       Linux 1.1.41+
Copying-policy: GPL
End

README:
=======

This is a BETA (I suppose) patch to the standard Linux NCR5380 SCSI driver
written by Drew Eckhardt.

These patches add support for the NCR53C400 chip to Drew's NCR5380 driver.
The same driver handles both chips. The most notable card using the 53C400
is the Trantor T130B.

The driver allows cards like the T130B to use interupts and Pseudo DMA.
I've been running it now for a couple of weeks and have had no problems.

To use the driver, either change the OVERRIDES define in
drivers/scsi/Makefile, or remove it and use an ncr53c400=port,int style
LILO command. The T130B by default requires ncr53c400=0x350,5 I believe.

When compiling, make sure the config option for the 'Generic NCR5380
Driver' is set to 'y'. You will then be able to use ncr5380= and
ncr53c400=. In fact, it should be possible for you to run 2 cards off the
same driver at the same time (although I certainly haven't tested it since
I don't have the hardware).

To apply this patch, change into /usr/src/linux and:
	patch -p1 < 53c400.diff

The patch is against 1.1.41 I think (could be 40) but nothing much has
happened since that would make the patch fail. (Please let me know if it
does).

My thanks to Drew Eckhardt for all his help getting this done. Presumably
these patches will become part of the development kernel soon if nobody finds
anything horribly wrong with them. 

Please mail any problems, thoughts etc to me. Please also note that so far
the driver is stable for me. I am not taking responsibility for any damage
that may arrise from its use.

Kevin Lentin
[email-masked]

-- 
[==================================================================]
[ Kevin Lentin                   |___/~\__/~\___/~~~~\__/~\__/~\_| ]
[ [email-masked]  |___/~\/~\_____/~\______/~\/~\__| ]
[ Macintrash: 'Just say NO!'     |___/~\__/~\___/~~~~\____/~~\___| ]
[==================================================================]

--
Send submissions for comp.os.linux.announce to: [email-masked]
Be sure to include Keywords: and a short description of your software.